%global __requires_exclude perl\\(gmusicbrowser|Gtk2::AppIndicator
%global __provides_exclude perl\\(Gtk2::AppIndicator

Summary:	Jukebox for collections of music files
Name:		gmusicbrowser
Version:	1.1.15
Release:	%mkrel 3
Epoch:		1
License:	GPLv3+
Group:		Sound/Players
URL:		http://gmusicbrowser.org
Source0:	http://gmusicbrowser.org/download/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires:	perl-Gtk2 >= 1.090
Requires:	perl-Glib-Object-Introspection
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-flac
Requires:	perl-Gtk2-TrayIcon
Requires:	perl-Gtk2-WebKit
Requires:	typelib(Gst)
Requires:	typelib(GstVideo)
Requires:	typelib(GstPbutils)
Requires:	perl(Net::DBus)
Requires:	vorbis-tools
Requires:	mpg123
Recommends:	gstreamer1.0-lame

%description
An open-source jukebox for large collections of mp3/ogg/flac/mpc/ape
files, written in perl.

%prep
%setup -q

%install
%make_install

desktop-file-install \
  --add-category="GTK;Player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}
rm -rf %{buildroot}%{_menudir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS layout_doc.html
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_iconsdir}/*/*/apps/%{name}.{png,svg}


%changelog
* Fri Feb 17 2017 cjw <cjw> 1:1.1.15-3.mga6
+ Revision: 1086540
- switch deps for use of gstreamer1.0

* Mon Apr 25 2016 shlomif <shlomif> 1:1.1.15-2.mga6.tainted
+ Revision: 1006169
- Fix a tainted requires into a recommends

* Sat Apr 16 2016 shlomif <shlomif> 1:1.1.15-1.mga6
+ Revision: 1002913
- New version - 1.1.15.
- Removed tainted version because mp3 should be patent free by now, see:
    - http://mailman.cs.huji.ac.il/pipermail/linux-il/2015-September/012039.html

* Mon Feb 08 2016 umeabot <umeabot> 1:1.1.13-7.mga6.tainted
+ Revision: 950742
- Mageia 6 Mass Rebuild

* Tue Nov 18 2014 wally <wally> 1:1.1.13-6.mga5.tainted
+ Revision: 797746
- filter out self provided perl(Gtk2::AppIndicator) requires also

* Sat Nov 15 2014 wally <wally> 1:1.1.13-5.mga5.tainted
+ Revision: 797334
- filter out perl(Gtk2::AppIndicator) provides

* Wed Oct 15 2014 umeabot <umeabot> 1:1.1.13-4.mga5.tainted
+ Revision: 747599
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 wally <wally> 1:1.1.13-3.mga5.tainted
+ Revision: 724362
- filter bogus auto-requires

* Tue Sep 16 2014 umeabot <umeabot> 1:1.1.13-2.mga5
+ Revision: 679689
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 wally <wally> 1:1.1.13-1.mga5.tainted
+ Revision: 674322
- new version 1.1.13

* Sat Mar 08 2014 wally <wally> 1:1.1.12-1.mga5.tainted
+ Revision: 601391
- new version 1.1.12

* Thu Aug 01 2013 fwang <fwang> 1:1.1.10-1.mga4.tainted
+ Revision: 462207
- new version 1.1.10

* Sat Jan 12 2013 umeabot <umeabot> 1:1.1.9-4.mga3.tainted
+ Revision: 351924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 barjac <barjac> 1:1.1.9-3.mga3.tainted
+ Revision: 327007
- changed group to new policy
- minor spec clean

* Tue Feb 28 2012 wally <wally> 1:1.1.9-2.mga2.tainted
+ Revision: 215859
- replace obsoleted perl-Gtk2-MozEmbed dep with perl-Gtk2-WebKit
- shorten description

* Sun Feb 05 2012 wally <wally> 1:1.1.9-1.mga2.tainted
+ Revision: 204668
- new version 1.1.9

* Fri Nov 11 2011 wally <wally> 1:1.1.8-1.mga2
+ Revision: 166748
- new version 1.1.8

* Sat Jul 02 2011 wally <wally> 1:1.1.7-1.mga2.tainted
+ Revision: 117492
- add support for tainted build (for requiring gstreamer0.10-lame)
- add more requires (mpg123, vorbis-tools)
- imported package gmusicbrowser

